import React from 'react';
import ReactCollaborativeCodemirror from '../../src/js/app';

const keyKock = 'testKey';
const shareDocMock = {
    test: 'test',
    type: 'aa',
    data: {
        testKey: 'initial value'
    }
};

it('should render a codemirror editor', () => {
    const wrapper = render(
        <ReactCollaborativeCodemirror
            shareDoc={shareDocMock}
            contentKey={keyKock}
        />
    );
    expect(wrapper.find('.react-codemirror2')).toHaveLength(1);
});
