[![Build Status](https://travis-ci.org/scniro/react-codemirror2.svg?branch=master)](https://travis-ci.org/scniro/react-codemirror2)

## REACT COLLABORATIVE CODEMIRROR

### Install
```
npm install ReactCollaborativeCodemirror codemirror -S
```

### Usage
```jsx
import ReactCollaborativeCodemirror from 'react-collaborative-codemirror'

<ReactCollaborativeCodemirror
    shareDoc={shareDoc}
    contentKey="content"
    codeMirrorOptions={{
        mode: 'md',
        lineNumbers: true
    }}
/>
```

### Parameters
- **shareDoc** ![*ShareDB.doc*](https://github.com/share/sharedb#class-sharedbdoc)]
- **codeMirrorOptions** [![options fot codemirror](https://codemirror.net/doc/manual.html)]
- **contentKey**:*string*

### License
MIT
